// Header file for TCP client socket library
//
// Copyright (c) 1987-2024 by the citadel.org team
//
// This program is open source software.  Use, duplication, or disclosure
// is subject to the terms of the GNU General Public License version 3.

int sock_connect(char *host, char *service);
int sock_write(int *sock, const char *buf, int nbytes);
int sock_write_timeout(int *sock, const char *buf, int nbytes, int timeout);
int ml_sock_gets(int *sock, char *buf, int nSec);
int sock_getln(int *sock, char *buf, int bufsize);
int CtdlSockGetLine(int *sock, StrBuf *Target, int nSec);
int sock_puts(int *sock, char *buf);
int socket_read_blob(int *Socket, StrBuf * Target, int bytes, int timeout);
