
#ifndef THREADS_H
#define THREADS_H

#include "sysdep.h"

#ifdef HAVE_PTHREAD_H
#include <pthread.h>
#endif

#include <time.h>
#include <string.h>
#include "server.h"
#include "sysdep_decls.h"

extern int num_workers;
extern int active_workers;
extern int server_shutting_down;

//int try_critical_section (int which_one);
void begin_critical_section (int which_one);
void end_critical_section (int which_one);
void go_threading(void);
void InitializeMasterTSD(void);
void CtdlThreadCreate(void *(*start_routine)(void*));

extern pthread_mutex_t ThreadCountMutex;;

#endif // THREADS_H
